const env = process.env.NODE_ENV // 环境参数

// 配置
let MYSQL_CONF
let REDIS_CONF

if (env === 'dev') {
    // mysql
    MYSQL_CONF = {
        host: '',
        user: '',
        password: '',
        port: '3306',
        database: ''
    }

    // redis
    REDIS_CONF = {
        port: 6379,
        host: ''
    }
}

if (env === 'production') {
    // mysql
    MYSQL_CONF = {
        host: '',
        user: 'root',
        password: '',
        port: '3306',
        database: 'personalblog4.0'
    }

    // redis
    REDIS_CONF = {
        port: 6379,
        host: ''
    }
}

module.exports = {
    MYSQL_CONF,
    REDIS_CONF
}